The Konsole Handbook
Prev | Chapter 2. Use of Konsole | Next

# 2.6. Command-line options

When Konsole is started from the command-line, various options can be specified to modify its behavior.

`--help`

  List the various options

`--name`

  Set the name that appears in the titlebar

`--ls`

  Start a login shell

`--nowelcome`

  Suppress the "Welcome to Konsole" message that normally appears in the titlebar

`-T,--title`

  Set the window title

`--xwin`

  Ignored

`--nohist`

  Disable the saving of lines that scroll off the top of the window

`--notoolbar`

  Start Konsole without a toolbar

`--vt_sz `CCxLL``

  Start a terminal window of CC Columns and LL lines

`-e `<command>``

  Execute <command> instead of shell

For instance:

     bash$ konsole --vt_sz 90x25 --nohist

starts a Konsole window with 90 columns and 25 rows, with no history

Konsole also accepts generic Qt™ and KDE options:

`--help-qt`

  List Qt-specific options

`--help-kde`

  List KDE-specific options

`--help-all`

  List all options

`--author`

  Show the author(s) names

`-v,--version`

  Show the version number

`--license`

  Show license information

Prev | Home | Next
The toolbar | Up | Credits and Copyright